# Interface Message

interface Message {
delay: number;
layerUid: string;
msg: string;
popup: boolean;
target: string | Element | JQuery<HTMLElement>;
type: string;
}

- Defined in src/disclaimer/component.js:39

#####
Index

### Properties

delay
layerUid
msg
popup
target
type

## Properties

### delay

delay: number

The delay in milliseconds the message is shown

- Defined in src/disclaimer/component.js:40

### layerUid

layerUid: string

The layer ID

- Defined in src/disclaimer/component.js:46

### msg

msg: string

The message text to display.

- Defined in src/disclaimer/component.js:42

### popup

popup: boolean

Whether the message should be displayed inside a popup window or not.

- Defined in src/disclaimer/component.js:41

### target

target: string | Element | JQuery<HTMLElement>

The target element (or selector to get the element) in which to display the message. If not defined, then the default target of the notification service is used.

- Defined in src/disclaimer/component.js:43

### type

type: string

The type of message.

- Defined in src/disclaimer/component.js:45